Index: src/UIElements/TextUI/Query/BoxTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ 	(revision )
@@ -1,63 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BoxTextQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <iostream>
-
-#include "TextUI/Query/TextQuery.hpp"
-
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "LinearAlgebra/RealSpaceMatrix.hpp"
-
-
-TextDialog::BoxTextQuery::BoxTextQuery(Parameter<Box> &param, std::string title, std::string _description) :
-    Dialog::BoxQuery(param, title,_description)
-{}
-
-TextDialog::BoxTextQuery::~BoxTextQuery()
-{}
-
-bool TextDialog::BoxTextQuery::handle() {
-  std::cout << getTitle();
-
-  double temp[6];
-  std::cout << getDescription() << " - ";
-  std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
-  for (int i=0;i<6;i++) {
-    std::cout << coords[i] << ": ";
-    std::cin >> temp[i];
-  }
-  RealSpaceMatrix M;
-  M.set(0,0, temp[0]);
-  M.set(0,1, temp[1]);
-  M.set(0,2, temp[2]);
-  M.set(1,0, temp[1]);
-  M.set(1,1, temp[3]);
-  M.set(1,2, temp[4]);
-  M.set(2,0, temp[2]);
-  M.set(2,1, temp[4]);
-  M.set(2,2, temp[5]);
-  Box temp_box;
-  temp_box.setM(M);
-  tmp.set(temp_box);
-  return true;
-}
-
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision d496fd779438588c03d7f49cf25828367937b060)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision d496fd779438588c03d7f49cf25828367937b060)
@@ -0,0 +1,61 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * BoxTextQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include <iostream>
+
+#include "TextUI/Query/TextQuery.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
+
+
+TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &param, std::string title, std::string _description) :
+    Dialog::RealSpaceMatrixQuery(param, title,_description)
+{}
+
+TextDialog::RealSpaceMatrixTextQuery::~RealSpaceMatrixTextQuery()
+{}
+
+bool TextDialog::RealSpaceMatrixTextQuery::handle() {
+  std::cout << getTitle();
+
+  double temp[6];
+  std::cout << getDescription() << " - ";
+  std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
+  for (int i=0;i<6;i++) {
+    std::cout << coords[i] << ": ";
+    std::cin >> temp[i];
+  }
+  RealSpaceMatrix M;
+  M.set(0,0, temp[0]);
+  M.set(0,1, temp[1]);
+  M.set(0,2, temp[2]);
+  M.set(1,0, temp[1]);
+  M.set(1,1, temp[3]);
+  M.set(1,2, temp[4]);
+  M.set(2,0, temp[2]);
+  M.set(2,1, temp[4]);
+  M.set(2,2, temp[5]);
+  tmp.set(M);
+  return true;
+}
+
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision d496fd779438588c03d7f49cf25828367937b060)
@@ -38,8 +38,8 @@
 };
 
-class TextDialog::BoxTextQuery : public Dialog::BoxQuery {
+class TextDialog::RealSpaceMatrixTextQuery : public Dialog::RealSpaceMatrixQuery {
 public:
-  BoxTextQuery(Parameter<Box> &, std::string title, std::string _description = NULL);
-  virtual ~BoxTextQuery();
+  RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &, std::string title, std::string _description = NULL);
+  virtual ~RealSpaceMatrixTextQuery();
   virtual bool handle();
 };
